Skip to content
Sursa Developers

Objects

ChatDone

Result of the answer: the done event of the /v1/chat stream.

Fields

  • type"done"required
  • answerstringrequired
  • question_idintegerrequired
  • querystring
  • collectionstringrequired
  • sourcesarray of Sourcerequired
  • table_queriesarray of TableQueryrequired
  • datasetsarray of Datasetrequired
  • chartsarray of ChartSpecrequired
  • warningsarray of AnswerWarningrequired
  • timingsTimingsrequired
  • provenancearray of NumberProvenance
  • emptystring

    Allowed values: no_hitsrestrictedguardrailno_data_for_period

  • verificationAnswerVerification
  • alt_periodsarray of AnswerAltPeriod

    items ≤ 6

  • drilldownarray of AnswerDrilldown

    items ≤ 20

  • restrictedRestrictedInfo
  • verified_onlyboolean
  • cachedboolean
  • out_of_scopeAnswerOutOfScope
  • attachmentsarray of Attachment
  • export_errorstring
  • toolsstring | null

    Why tools were used for this answer: request (asked for explicitly); compare, compute, action (based on the question); needs_calc (a calculation over tables is needed); summary (an overview of a collection or documents); mcp (the organization has connected external MCP servers).

    Allowed values: requestcomparecomputeactionneeds_calcsummarymcpnull

  • tool_callsarray of ToolCallInfo
  • calculationsarray of Calculation
  • pending_actionsarray of PendingAction
  • entitiesarray of AnswerEntityrequired
  • followupsarray of Followuprequired
  • conversation_idstring

    Only for POST /v1/chat with a conversation.

  • answer_idstring

    ID of the answer object.

Part of

ChatEvent